<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class RelTicketMedioService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function find($conditions, $idrelatorio) {
        
        $params = array(
         	":P_CDFILIAL"       => $conditions['CDFILIAL'],
         	":P_CDLOJA"         => $conditions['CDLOJA'],
         	":P_CDCAIXA"        => $conditions['CDCAIXA'],
            ":P_DATAINI"        => $conditions['DTINI'],
            ":P_DATAFIN"        => $conditions['DTFIN'],
            ":P_TCDFILIAL"      => $conditions['TCDFILIAL'],
            ":P_TCDLOJA"        => $conditions['TCDLOJA'],
         	":P_TCDCAIXA"       => $conditions['TCDCAIXA']
 		);
 		
 		switch ($idrelatorio){
 		    case 0:
 		        return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_TICKET_MEDIO_FILIAL, $params);
            break;
            
            case 1:
                return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_TICKET_MEDIO_CAIXA, $params);
            break;
 		   
 		}
    }
}